Available releases of IBM Rational Agent Controller

Product documentation


Abstract

This document provides details about the available releases of IBM Rational Agent Controller.

Content

IBM Rational Agent Controller is a daemon that allows client applications to launch and manage local or remote applications and provides information about applications that are running to other applications.

You must install Rational Agent Controller separately on the target computer before you can use the following tools:

  • Profiling tools to profile your applications.
  • Component testing tools to run test cases.
  • Tools for remote profiling or enabling Java code coverage statistic collection on WebSphere Application Server.

In general, you should install the latest available version of Rational Agent Controller. However, you should also consider the following factors when choosing the version to install:
  • The version of WebSphere Application Server that you are using.
  • The platform on which WebSphere Application Server is installed.

    The following tables show the relationship between versions of WebSphere Application Server and the required versions of Rational Agent Controller to work with:
    • Code coverage tools
    • Profiling tools

    • Table showing required versions of Agent Controller for WebSphere Application Server for working with code coverage:
      Version of WebSphere Application Server Version of Rational Agent Controller required
      6.1 and later (all platforms) Rational Agent Controller, Version 8.3.2 and later
      6.0 (Windows and Linux only) Rational Agent Controller versions 8.3.2 to 8.3.4.


      Table showing required versions of Agent Controller for WebSphere Application Server for working with profiling tools
      Version of WebSphere Application Server Version of Rational Agent Controller required
      8.0 (uses JVM 1.6) Rational Agent Controller 9.x or 8.x.
      7.0.x (uses JVM 1.6) Rational Agent Controller 9.x or 8.x
      6.1.x (uses JVM 1.5)
      • If your platform is supported, use Rational Agent Controller 8.x.
      • If your platform is not supported in version 8.x, then use a version of 7.x that supports your platform.
      6.0.x (uses JVM 1.4)
      • Rational Agent Controller versions 8.3.2 to 8.3.4.
      • Use Rational Agent Controller 7.x.


Notes on Rational Agent Controller compatibility
    • For detailed information on supported platforms for a specific version of Rational Agent Controller, see the installation instructions.
    • Starting with Rational Agent Controller version 8.2, in some version you have the option to install either a 32-bit or a 64-bit version of agent controller.
      • The bit version of Rational Agent Controller must be the same as the bit version of WebSphere Application Server on which it will be profiling.
      • 32-bit versions of Rational Agent Controller can run on 64-bit operating systems that are running in a mode that supports 32-bit applications.
    • Profiling interfaces (JVMPI or JVMTI) supported in WebSphere Application Server:

      Note: Support for JVMPI and JRE 1.4 is removed from Rational Application Developer V8.5 and Rational Agent Controller V8.3.5.
      • Java Virtual Machine Profiler Interface (JVMPI): supported in WebSphere Application Server V6.0.x and V6.1.x (in V6.1,x, must select the "pre-JRE 1.5" option when profiling).
      • Java Virtual Machine Tool Interface (JVMTI): supported in WebSphere Application Server V6.1.x (you must select the "JRE 1.5 or newer" option), V7.0.x and v8.0.
    • Rational Agent Controller JVMs: For details on specific versions of the JREs included in a version of Rational Agent Controller, see the Installation Instructions for that version.

The following tables provide details to help you choose, download and install the versions of Rational Agent Controller appropriate for your environment.



Rational Agent Controller Version 9.x releases

Version of Rational Agent Controller Platforms supported
  • For details on specific versions of operating systems supported by a version of Rational Agent Controller, see the Installation Instructions for that version.
Compatible versions of WebSphere Application Server Corresponding Rational Application Developer or Rational Software Architect for WebSphere Software versions (See note 3) Download Instructions
9.1
  • AIX
  • Linux
  • Linux s/390
  • Microsoft Windows
  • Solaris SPARC
  • Solaris x86
  • z/OS
  • v8.5.x
  • v8.5.x - Liberty Profile
  • v8.0
  • v7.0.x
v9.1 Download Instructions
9.0.1
  • AIX
  • Linux
  • Linux s/390
  • Microsoft Windows
  • Solaris SPARC
  • Solaris x86
  • z/OS
  • v8.5.x
  • v8.5.x - Liberty Profile
  • v8.0
  • v7.0.x
v9.0.1 Download Instructions
9.0
  • AIX
  • Linux
  • Linux s/390
  • Microsoft Windows
  • Solaris SPARC
  • Solaris x86
  • z/OS
  • v8.5.x
  • v8.5.x - Liberty Profile
  • v8.0
  • v7.0.x
v9.0 Download Instructions





Rational Agent Controller Version 8.x releases
Version of Rational Agent Controller Platforms supported
  • For details on specific versions of operating systems supported by a version of Rational Agent Controller, see the Installation Instructions for that version.
Compatible versions of WebSphere Application Server Corresponding Rational Application Developer or Rational Software Architect for WebSphere Software versions (See note 3) Download Instructions
8.3.6
  • AIX
  • Linux
  • Linux s/390
  • Microsoft Windows
  • Solaris SPARC
  • Solaris x86
  • z/OS
  • v8.5
  • v8.5 - Liberty Profile
  • v8.0
  • v7.0.x
  • v6.1.x
v8.5.1 Download Instructions
8.3.5
  • AIX
  • Linux
  • Linux s/390
  • Microsoft Windows
  • Solaris SPARC
  • Solaris x86
  • z/OS
  • v8.5
  • v8.5 - Liberty Profile
  • v8.0
  • v7.0.x
  • v6.1.x
v8.5 Download Instructions
8.3.4
  • AIX
  • Linux
  • Linux s/390
  • Microsoft Windows
  • Solaris SPARC
  • Solaris x86
  • z/OS
  • v8.0
  • v7.0.x
  • v6.1.x
  • v6.0.x (Windows and Linux only)
v8.0.4 Download Instructions
8.3.3
  • AIX
  • Linux
  • Linux s/390
  • Microsoft Windows
  • Solaris SPARC
  • Solaris x86
  • z/OS
  • v8.0
  • v7.0.x
  • v6.1.x
  • v6.0.x (Windows and Linux only)
v8.0.3 Download Instructions
8.3.2
  • AIX
  • Linux
  • Linux s/390
  • Microsoft Windows
  • Solaris SPARC
  • Solaris x86
  • z/OS
  • v8.0
  • v7.0.x
  • v6.1.x
  • v6.0.x (Windows and Linux only)
v8.0.2 Download Instructions
8.3.1
  • AIX
  • Linux
  • Linux s/390
  • Microsoft Windows
  • Solaris SPARC
  • Solaris x86
  • z/OS
  • v8.0
  • v7.0.x
  • v6.1.x
  • v6.0.x (Windows and Linux only)
v8.0.1 Download Instructions
8.3
  • AIX
  • Linux
  • Linux s/390
  • Microsoft Windows
  • Solaris SPARC
  • Solaris x86
  • z/OS
  • v8.0
  • v7.0.x
  • v6.1.x
  • v6.0.x (Windows and Linux only)
v8.0 Download Instructions
8.2.2
  • AIX
  • Linux
  • Microsoft Windows
  • Solaris SPARC
  • z/OS
  • v7.0.x
  • v6.1.x
  • v6.0.x (Windows and Linux only)
Download Instructions
8.2.1.1
  • z/OS (64-bit only)
  • Solaris x86
  • v7.0.x
  • v6.1.x
Download Instructions
8.2.1
  • z/OS (31-bit only)
  • v7.0.x
  • v6.1.x
Download Instructions
8.2.0.1
  • AIX-PPC
  • v7.0.x
  • v6.1.x
Download Instructions
8.2
  • Linux on s/390
  • Solaris SPARC
  • v7.0.x
  • v6.1.x
Download Instructions
8.1.3
  • AIX (v6.1.x or v6.0 only)
  • Linux on IA32
  • Microsoft Windows on IA32
  • v7.0.x (Windows and Linux only)
  • v6.1.x
  • v6.0.x
v7.5.5 Download Instructions
8.1.2
  • AIX (v6.1.x or v6.0 only)
  • Linux on IA32
  • Microsoft Windows on IA32
  • v7.0.x (Windows and Linux only)
  • v6.1.x
  • v6.0.x
v7.5.4 Download Instructions
8.1.1
  • AIX (v6.1.x or v6.0 only)
  • Linux on IA32
  • Microsoft Windows on IA32
  • v7.0.x (Windows and Linux only)
  • v6.1.x
  • v6.0.x
v7.5.3 Download (Refer to the Installation instructions for v8.0.2.)
8.1.0
  • AIX (v6.1.x or v6.0 only)
  • Linux on IA32
  • Microsoft Windows on IA32
  • v7.0.x ((Windows and Linux only)
  • v6.1.x
  • v6.0.x
v7.5.2 Download (Refer to the Installation instructions for v8.0.2.)
8.0.2
  • AIX (v6.1.x or v6.0 only)
  • Linux on IA32
  • Microsoft Windows on IA32
  • v7.0.x (Windows and Linux only)
  • v6.1.x
  • v6.0.x
v7.5.1 Download RAC_install_802.html
RAC_readme_802.html
8.01
  • AIX (v6.1.x or v6.0 only)
  • Linux on IA32
  • Microsoft Windows on IA32
  • v7.0.x (Windows and Linux only)
  • v6.1.x
  • v6.0.x
Download RAC_install_801.html
RAC_readme_801.html
8.0
  • AIX (v6.1.x or v6.0 only)
  • Linux on IA32
  • Microsoft Windows on IA32
  • v7.0.x (Windows and Linux only)
  • v6.1.x
  • v6.0.x
v7.5.0 Download RAC_install_80.html
RAC_readme_80.html






Rational Agent Controller Version 7.x releases

Version of Rational Agent Controller

Platforms supported (See note 1)

Compatible versions of WebSphere Application Server

Download

Instructions

7.1.0.1

  • Linux on IA32
  • Microsoft Windows on IA32
  • Microsoft Windows on EM64T
  • Microsoft Windows on IPF

  • v6.1.x (JVM 1.5)
  • v6.0.x (JVM 1.4)

Download

RAC_install_7101.html

Readme:
RAC_readme_7101.html

7.0.3.3

  • AIX
  • HP-UX
  • z/OS
  • OS/400
  • Linux on IA32
  • Linux on PPC64
  • Linux on zSeries
  • Sun Solaris on SPARC
  • Microsoft Windows on IA32
  • Microsoft Windows on EM64T
  • Microsoft Windows on IPF

  • v6.1.x (JVM 1.5)
  • v6.0.x (JVM 1.4)

Download

RAC_install_7033.html
Readme:
RAC_readme_7033.html



Notes
    1. Platforms supported: For details on specific versions of operating systems supported by a version of Rational Agent Controller, see the Installation Instructions for that version.
    2. JREs supported: For details on specific versions of the JREs included in a version of Rational Agent Controller, see the Installation Instructions for that version.
    3. Corresponding Rational Application Developer or Rational Software Architect for WebSphere Software versions : If a version is listed in a row, then this means that that the embedded Agent Controller in that version of Rational Application Developer or Rational Software Architect for WebSphere Software contains the same fixes available in the Rational Agent Controller.

Cross reference information
Segment Product Component Platform Version Edition
Software Development Rational Software Architect for WebSphere Software Not Applicable Linux, Windows 7.5, 7.5.1, 7.5.2, 7.5.3, 7.5.4, 7.5.5, 7.5.5.1, 7.5.5.2, 7.5.5.3, 7.5.5.4, 7.5.5.5, 8.0, 8.0.1, 8.0.2, 8.0.3, 8.0.4, 8.0.4.1, 8.5, 8.5.1, 8.5.5, 8.5.5.1, 9.0, 9.0.0.1, 9.1
Software Development Rational Software Architect Agent Controller Linux, OS X, Windows 8.0, 8.0.1, 8.0.2, 8.0.3, 8.0.4, 8.0.4.1, 8.5, 8.5.1, 8.5.5, 8.5.5.1, 9.0, 9.0.0.1, 9.1

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Rational Software Architect for WebSphere Software

Software version:

7.5, 7.5.1, 7.5.2, 7.5.3, 7.5.4, 7.5.5, 7.5.5.1, 7.5.5.2, 7.5.5.3, 7.5.5.4, 7.5.5.5, 8.0, 8.0.1, 8.0.2, 8.0.3, 8.0.4, 8.0.4.1, 8.5, 8.5.1, 9.0, 9.0.1, 9.1

Operating system(s):

Linux, OS X, Windows

Reference #:

7013420

Modified date:

2014-05-23

Translate my page

Machine Translation

Content navigation